Subject: Re: [alsa-devel] [PATCH 2/3] ALSA SoC: Add mpc5200-psc I2S driver

From: Grant Likely <[email-masked]>
Date: Thu, 3 Jul 2008 10:28:09 -0600

On Wed, Jul 02, 2008 at 09:51:59AM -0400, Jon Smirl wrote:
> DMA, needs to be split out. Efika is AC97 on the MPC5200 and needs to
> share DMA code. The new Phytec pcm030 baseboard is AC97 too.

I agree, but I'm not sure the best way to organize a split.  I'm not
doing anything with the Efika at the moment and I haven't dug into the
details of what needs to be done for AC97.

> What does the device tree look like?

Here is the relevant excerpt, but it is not documented yet.  I haven't
made any attempt encode the layout into the device tree (clocking, etc.)

	spi@f00 {
		#address-cells = <1>;
		#size-cells = <0>;
		compatible = "fsl,mpc5200b-spi","fsl,mpc5200-spi";
		reg = <0xf00 0x20>;
		num-slaves = <32>;
		interrupts = <2 13 0 2 14 0>;
		interrupt-parent = <&mpc5200_pic>;

		codec1: codec@2 {
			compatible = "ti,tlv320aic26";
			linux,modalias = "tlv320aic26";
			max-speed = <1000000>;
			reg = <2>;
		};

		codec2: codec@3 {
			compatible = "ti,tlv320aic26";
			linux,modalias = "tlv320aic26";
			max-speed = <1000000>;
			reg = <3>;
		};
	};

	i2s@2200 {		// PSC2
		compatible = "fsl,mpc5200b-psc-i2s","fsl,mpc5200-psc-i2s";
		cell-index = <1>;
		reg = <0x2200 0x100>;
		interrupts = <2 2 0>;
		interrupt-parent = <&mpc5200_pic>;
		codec-handle = <&codec1>;
	};
	i2s@2400 {		// PSC3
		compatible = "fsl,mpc5200b-psc-i2s","fsl,mpc5200-psc-i2s";
		cell-index = <2>;
		reg = <0x2400 0x100>;
		interrupts = <2 3 0>;
		interrupt-parent = <&mpc5200_pic>;
		codec-handle = <&codec2>;
	};